import { WrappedBrowserProvider } from '@imtbl/checkout-sdk';
export declare const baseWidgetProviderEvent = "IMTBL_WIDGET_PROVIDER_EVENT";
export declare enum ProviderEvent {
    CHAIN_CHANGED = "chainChanged",
    ACCOUNTS_CHANGED = "accountsChanged"
}
export declare function addAccountsChangedListener(browserProvider: WrappedBrowserProvider, handleAccountsChanged: (e: any) => void): void;
export declare function removeAccountsChangedListener(browserProvider: WrappedBrowserProvider, handleAccountsChanged: (e: any) => void): void;
export declare function addChainChangedListener(browserProvider: WrappedBrowserProvider, handleChainChanged: (e: any) => void): void;
export declare function removeChainChangedListener(browserProvider: WrappedBrowserProvider, handleChainChanged: (e: any) => void): void;
export declare function imtblWidgetsProviderUpdated(): void;
export declare function addProviderListenersForWidgetRoot(provider: WrappedBrowserProvider): void;
